Hugin stacker - PanoTools.org Wiki

# Hugin stacker

From PanoTools.org Wiki

hugin_stacker stacks overlapping images to a single image.

The general usage is

     hugin_stacker [options] --mode=STRING images

There are several stack modes (switch `--mode`) available:

- `min|minimum|darkest`: Select the darkest pixel
- `max|maximum|brightest`: Select the brightest pixel
- `avg|average|mean`: Calculate the mean for each position
- `median`: Calculate the median for each position
- `winsor`: Calculate the Winsor trimmed mean for each position. The parameter can be set with `--winsor-trim=NUMBER` (default: 0.2)
- `sigma`: Calculate the sigma clipped mean for each position. Fine-tune with `--max-sigma=NUMBER` (default: 2) and `--max-iterations=NUMBER` (default: 5)

This is useful for e.g.

- automatic tourist removal (not only tourists, also other moving objects ;-))
- noise reduction
- visualize movement
- multiplicity

## Further parameters

- `--output=FILE`: Set the filename for the output file (if not given `final.tif` is used).
- `--compression=value`: Set the compression of the output files
  - For jpeg files use values between 0 and 100
  - For tiff files valid values are: PACKBITS, DEFLATE, LZW

## Mask input images

Beside the stacked output hugin_stacker can also mask the input images (available only for stacking modes median|winsor|sigma). This mode is activated with `--mask-input`. In this case the stacked image is calculated first. Then each pixel in each image is checked: if the value of this pixel differs more then mask sigma * standard deviation from the mean/median, this pixel is made visible. If it is in the mentioned range the pixel is masked out.

The sigma parameter for this step can be changed with `--mask-sigma=NUMBER` (default is 2).

You can output a separate mask image for each input image. Set the suffix with `--mask-suffix=STRING` (default is `_mask`). Or with the option `--multi-layer-output` you can output a layered TIFF with the name specified with `--output`. The file contains the averaged image as layer 0 and all input images as additional layers with the mask as described above.

Retrieved from "https://wiki.panotools.org/index.php?title=Hugin_stacker&oldid=16217"